xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it
Safe Haskell | None

XMonad.Prompt.XMonad

Contents

- Usage

Description

A prompt for running XMonad commands

Synopsis

- xmonadPrompt :: XPConfig -> X ()
- xmonadPromptC :: [(String, X ())] -> XPConfig -> X ()
- data XMonad

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.XMonad

in your keybindings add:

       , ((modm .|. controlMask, xK_x), xmonadPrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

xmonadPrompt :: XPConfig -> X ()Source

xmonadPromptC :: [(String, X ())] -> XPConfig -> X ()Source

An xmonad prompt with a custom command list

data XMonad Source

Instances

XPrompt XMonad |